"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const typeMapping_1 = require("./typeMapping");
function parseTypedef(code, _options) {
    const mc = isTypeDef(code);
    if (mc && mc.length === 3) {
        return {
            type: typeMapping_1.typeMapping(mc[1]),
            alias: mc[2]
        };
    }
    return null;
}
exports.parseTypedef = parseTypedef;
function isTypeDef(code) {
    return code.replace(/\s*</g, '<').match(/^typedef\s([\w\d_>.<]+)\s([\w\d_]+)/);
}
